mod abs_path;
mod authority;
mod domain_label;
mod hier_part;
mod host;
mod hostname;
mod ipv4_address;
mod net_path;
mod opaque_part;
mod path_segments;
mod rel_path;
mod scheme;
mod segment;
mod server;
mod top_label;
